# gq-hello.dockerfile
# Dockerfile for demo gq-hello
# This docker file base on harbor02.juejin.id/lib/php:7.2.9-fpm-alpine3.8
# @version 180719:2
# @author  zhangxuhong <zhangxuhong@xitu.io>
#

# base info
FROM harbor02.juejin.id/infrastructure/php-7.2.9-fpm-alpine3.8:latest
MAINTAINER zhangxuhong <zhangxuhong@xitu.io>
USER root

# init
# RUN apk add --update --no-cache --virtual .build-deps \


# copy repo to /data/repo
COPY . /data/repo/gq-hello/

# define health check
HEALTHCHECK --interval=5s --timeout=3s CMD netstat -an | grep 9000 > /dev/null; if [ 0 != $? ]; then exit 1; fi;

# run php-fpm
EXPOSE 9000
ENTRYPOINT ["php-fpm"]