<?php
/**
*   Main config file.
*   @version    161017:1
*   @author     karminski <code.karminski@outlook.com>
*
*/

/**
 * set default ini
 */
ini_set("date.timezone", "Asia/Harbin");


/**
 * product config here
 */
$product =  array(
    'global' => array(
        'global_id'   => 'salt_fish_raw_php',
        'folder'      => '/data/repo/salt_fish_raw_php/',
    ),
    'log' => array(
        'open'        => true,
        'address'     => '/data/repo/salt_fish_raw_php/logs/', // the '/' at end of line is necessary
        'split'       => 'day', // options: month, day, hour, minute
    ),
    'storage'        => array(
        'sample' => array(
            'host'    => '192.168.0.1',
            'port'    => 3306,
            'name'    => 'sample',
            'charset' => 'utf8',
            'user'    => 'sample',
            'pass'    => 'sample',
        ),
    ),
    'cache'          => array(
        'sample_cache' => array(
            'host'     => '192.168.0.1',
            'port'     => 6379,
            'pass'     => null,
            'database' => 2,
            'timeout'  => 0,
        ),
    ),
    'mongodb' => array(
        'sample' => "mongodb://sample:password@192.168.0.1:27017/sample",
    ),
);
