<?php
/**
 * SampleRequest.php
 * SampleRequest model.
 * @version    170424:1
 * @author     karminski <code.karminski@outlook.com>
 *
 * @changelogs 
 *             170424:1 INIT version.
 */

/**
 * class SampleRequest 
 */
class SampleRequest extends Request{

    public $uid;
    public $before;
    public $after;
    public $page;
    public $src;
    public $token;

    /**
     * [setRequest description]
     * @param [type] &$input [description]
     */
    public function setRequest(&$input){
        if(!empty($input['after'])){
            $this->after        = $input['after'];
        }elseif(!empty($input['before'])){
            $this->before       = $input['before'];
        }else{
            return false;
        }
        $this->uid          = $input['uid'];
        $this->page         = $input['page'];
        $this->token        = $input['token'];
        $this->src          = $input['src'];
        return true;
    }

    /**
     * [exportForAccessibilityCheck description]
     * @param  [type] &$data [description]
     * @return [type]        [description]
     */
    public function exportForAccessibilityCheck(&$data){
        $data = [
            'uid' => $this->uid,
        ];
        return true;
    }

    /**
     * [isAfterRequest description]
     * @return boolean [description]
     */
    public function isAfterRequest(){
        if(!empty($this->after)) return true;
        return false;
    }

    /**
     * [exportForSampleCacheSet description]
     * @param  [type] &$requestKey  [description]
     * @param  [type] &$requestData [description]
     * @return [type]               [description]
     */
    public function exportForSampleCacheSet(&$requestKey, &$requestData){
        $requestKey  = "uid";
        $requestData = $this->uid;
        return true;
    }

    /**
     * [exportForSampleCacheGet description]
     * @param  [type] &$requestKey [description]
     * @return [type]              [description]
     */
    public function exportForSampleCacheGet(&$requestKey){
        $requestKey = $this->uid;
        return true;
    }

    /**
     * [exportForSampleMongoDBStorageGet description]
     * @param  [type] $req [description]
     * @return [type]      [description]
     */
    public function exportForSampleMongoDBStorageGet(&$req){
        $req['uid'] = $this->uid;
        return true;
    }

    /**
     * [exportForSampleMongoDBStorageSet description]
     * @param  [type] &$data [description]
     * @return [type]        [description]
     */
    public function exportForSampleMongoDBStorageSet(&$data){
        $data['uid'] = $this->uid;
        return true;
    }

    /**
     * [exportForSampleMySQLStorageSet description]
     * @param  [type] &$data [description]
     * @return [type]        [description]
     */
    public function exportForSampleMySQLStorageSet(&$data){
        $data['uid'] = $this->uid;
        return true;
    }


}